//
//  GXFDisplayActions.m
//  XFFruit
//  显示有已有权限功能的信息
//  Created by freecui on 15/8/27.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "GXFDisplayFunction.h"

@implementation GXFDisplayFunction

+ (instancetype)initClassWithDictionary:(NSDictionary *)dict {
    return [self initClassWithDictionary:dict];
}
- (instancetype)initWithDictionary:(NSDictionary *)dict {
    self = [super init];
    if (!self) {
        return nil;
    } else {
        self.Id = [dict[@"id"] integerValue];
        self.functionName = dict[@"functionName"];
        self.functionImgName = dict[@"imgName"];
        self.isSelected = [dict[@"isSelected"] integerValue];
       // [self setValuesForKeysWithDictionary:dict];
    }
    
    return self;
}
@end
